# Dataset Preparation
Here you can find some scripts which facilitates training of the Image to Image translation methods which are usually trained in the form of CUT repository A -> B. 

## Scripts
* `copy_nested_into_one_folder.py`: Given a base folder which contains in order of hierarchy of images, it list all images and randomly select some subset of theses which in the paper we refer to them as shards. We used this script to create shards 5 shards of FFHQ dataset in the resolution of 128x128 as the source (A), and also 5 shards of DigiFace1M dataset with the same resolution to train Image to Image translation methodologies, namely, VSAIT, DECENT and UNSB. 

* `create_symlinks.py`: For training our models to go from the source (A) to target (B) domain we usually need to have `test`, `val` and `train` sets, this scripts using the shards which created before randomly assigns the created shards to non-overlapping `test`, `val` and `train` set to create different combinations.

